#!/bin/bash

HOSTS=.hosts-job$SLURM_JOB_ID
HOSTFILE=.hostlist-job$SLURM_JOB_ID

srun hostname -f > $HOSTS
sort $HOSTS | uniq -c | awk '{print $2 ":" $1}' >> $HOSTFILE

# run the R on the reserved nodes with MPI command
# run the RMPI program on R (What you need to change is only the filename)
# quit R (mpi.quit()) after you have done the job
# the execution result and error info of your R program will be printed into slurm-XX.out 
# (XX is job #)
mpiexec -np 1 -hostfile $HOSTFILE /usr/bin/R --no-save <<EOF
source('week1.R')
mpi.quit()
EOF

# Delete host files for the job
rm $HOSTFILE $HOSTS
